pci_enable_device_bars
Prev | PCI Support Library | Next

## Name

pci_enable_device_bars — Initialize some of a device for use

## Synopsis

`int pci_enable_device_bars (` | struct pci_dev * | dev,
| int | bars`)`;

## Arguments

`dev`

  PCI device to be initialized

`bars`

  bitmask of BAR's that must be configured

## Description

Initialize device before it's used by a driver. Ask low-level code to enable selected I/O and memory resources. Wake up the device if it was suspended. Beware, this function can fail.

Prev | Up | Next
pci_reenable_device | Home | pci_enable_device